QT3

Linux (Theli bezogen), Theli, GUI und Hilfsprogramme.
Forumsregeln
Bitte die Beiträge kurz fassen, so kann man sie nachher besser finden. Sollte ein Problem gelöst sein, dann einen neuen Beitrag eröffnen. Ebenso wenn die Ursache eine ganz andere ist, oder es Offtopic wird.

QT3

Beitragvon ReiFu » Samstag 28. Dezember 2013, 21:08

Hallo
Bin leider totaler Neuling mit Linux Ubuntu
Habe mir einen neuen Rechner gekauft und Linux 12.10 installiert.
Bei der Theli Installation stehe ich jetzt aber total an:

reinhardf@reinhardf-System-Product-Name:~/Theli/gui-2.8.3$ ./install.sh -tiff
Qt qmake is not version 3, or not installed!
Please install the Qt3 development package, or if already done then
point the link /usr/bin/qmake to the Qt3 version, e.g. /usr/bin/qmake-qt3
Qt uic is not version 3, or not installed!
Please install the Qt3 development package, or if already done then
point the link /usr/bin/uic to the Qt3 version, e.g. /usr/bin/uic-qt3
reinhardf@reinhardf-System-Product-Name:~/Theli/gui-2.8.3$ ^C
reinhardf@reinhardf-System-Product-Name:~/Theli/gui-2.8.3$

Habe mir dann qt3-dev-tools-compat_3.3.8b-7+b1_amd64.deb heruntergeladen und mit dem Ubuntu software center zu installieren versucht:
bekomme:

wrong architecture'amd64'
Error

This package contains some older Qt tools (namely qt20fix qtrename140, qm2ts, mergetr, findtr and msg2qm). These tools are needed only by application developers who need to migrate any Qt application written for Qt 1.x or 2.x over to Qt 3.x. The purpose of the tools are to help fixing the changes with include file renaming as well as migrating the message file format of Qt 2 translation files or any gettext-based translation system to the Qt 3 system.

Wie komme ich da als absoluter Neuling weiter und zu einem funktionierenden Theli (Habe vor längerer Zeit Theli unter Windows in der virtual box kennen und lieben gelernt - aber 4 GB sind einfach vieeeel zu wenig um damit vernünftig mit Bildern einer EOS zu arbeiten)

Danke vorerst einmal für die Hilfe

Reinhard
Benutzeravatar
ReiFu
 
Beiträge: 121
Registriert: Samstag 28. Dezember 2013, 19:59

Re: QT3

Beitragvon mischa » Samstag 28. Dezember 2013, 21:17

Hallo Reinhard,

du hast entweder ein 32bit Linux auf einem 64bit rechner installiert, oder aber einen 32bit Rechner mit 32bit Linux auf dem du eine 64bit Bibliothek installieren willst...
Hier empfiehlt sich evtl das Linux nochmal neu aufzusetzen. da empfehle ich dann die Ubuntu 12.04 LTS (long term support) anstelle der 12.10, da ist die Qt3 Bibliothek ueber den Paketmanager zugaenglich.

mischa
mischa
Moderator
 
Beiträge: 966
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: QT3

Beitragvon ReiFu » Sonntag 29. Dezember 2013, 18:18

Hallo Mischa
Habe jetzt die Version Ubuntu 12.04 LTS 64bit installiert.

Dann kommt das:
reinhardf@reinhardf-System-Product-Name:~/Theli/gui-2.8.3$ ./install.sh
Qt qmake is not version 3, or not installed!
Please install the Qt3 development package, or if already done then
point the link /usr/bin/qmake to the Qt3 version, e.g. /usr/bin/qmake-qt3
Qt uic is not version 3, or not installed!
Please install the Qt3 development package, or if already done then
point the link /usr/bin/uic to the Qt3 version, e.g. /usr/bin/uic-qt3
reinhardf@reinhardf-System-Product-Name:~/Theli/gui-2.8.3$


Habe dann das Paket qt3-dev-tools-compat_3.3.8b-7+b1_amd64.deb installiert und neu gebootet

Nochmals install aber es kommt die gleiche Meldung wieder.

Nun stehe ich leider wieder an.

Reinhard
Benutzeravatar
ReiFu
 
Beiträge: 121
Registriert: Samstag 28. Dezember 2013, 19:59

Re: QT3

Beitragvon ReiFu » Sonntag 29. Dezember 2013, 19:37

Hallo

Habe das jetzt alles soweit hingebracht - nun habe ich das am Schluss stehen:

Installing the THELI GUI
####################################################

/usr/share/qt3/bin/uic theliform.ui -o .ui/theliform.h
/usr/share/qt3/bin/uic animate.ui -o .ui/animate.h
/usr/share/qt3/bin/uic cni_form.ui -o .ui/cni_form.h
/usr/share/qt3/bin/uic color_form.ui -o .ui/color_form.h
/usr/share/qt3/bin/uic combineimages.ui -o .ui/combineimages.h
/usr/share/qt3/bin/uic commhist.ui -o .ui/commhist.h
/usr/share/qt3/bin/uic imalyzer.ui -o .ui/imalyzer.h
/usr/share/qt3/bin/uic manualsky.ui -o .ui/manualsky.h
/usr/share/qt3/bin/uic parameters.ui -o .ui/parameters.h
/usr/share/qt3/bin/uic scamp_mosaictype.ui -o .ui/scamp_mosaictype.h
/usr/share/qt3/bin/uic statistics.ui -o .ui/statistics.h
/usr/share/qt3/bin/uic pmonitor.ui -o .ui/pmonitor.h
/usr/share/qt3/bin/uic zp.ui -o .ui/zp.h
g++ -c -pipe -g -Wall -W -O2 -D_REENTRANT -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3 -I.ui/ -I. -I.moc/ -o .obj/theli.o theli.cpp
In file included from theli.cpp:4:0:
/usr/include/qt3/qimage.h: In Elementfunktion »bool QImageTextKeyLang::operator<(const QImageTextKeyLang&) const«:
/usr/include/qt3/qimage.h:61:61: Warnung: Klammern um »&&« innerhalb von »||« empfohlen [-Wparentheses]
In file included from theli.cpp:7:0:
functions.h: In Funktion »QString get_instpath()«:
functions.h:48:18: Fehler: »scriptdir« wurde in diesem Gültigkeitsbereich nicht definiert
functions.h:51:18: Fehler: »scriptdir« wurde in diesem Gültigkeitsbereich nicht definiert
functions.h:54:18: Fehler: »homedir« wurde in diesem Gültigkeitsbereich nicht definiert
functions.h: In Funktion »QString get_processingstatus()«:
functions.h:68:7: Fehler: »ext_img« wurde in diesem Gültigkeitsbereich nicht definiert
functions.h: In Funktion »bool test_network()«:
functions.h:600:21: Fehler: »bindir« wurde in diesem Gültigkeitsbereich nicht definiert
functions.h:601:24: Fehler: »usertmpdir« wurde in diesem Gültigkeitsbereich nicht definiert
In file included from theli.cpp:7:0:
functions.h: In Funktion »void getguiversion()«:
functions.h:626:15: Fehler: »homedir« wurde in diesem Gültigkeitsbereich nicht definiert
functions.h:628:5: Fehler: »guiserverversion« wurde in diesem Gültigkeitsbereich nicht definiert
functions.h:636:26: Fehler: »guiserverversion« wurde in diesem Gültigkeitsbereich nicht definiert
functions.h:638:10: Fehler: »guiserverversion« wurde in diesem Gültigkeitsbereich nicht definiert
theli.cpp: In Funktion »int main(int, char**)«:
theli.cpp:26:17: Fehler: »MAINGUIPATH« wurde in diesem Gültigkeitsbereich nicht definiert
theli.cpp:31:13: Fehler: »bindir« wurde in diesem Gültigkeitsbereich nicht definiert
make: *** [.obj/theli.o] Fehler 1



###################################################################
#
# Something went wrong!
# No 'theli' executable could be found in /home/reinhardf/Theli/gui-2.8.3 .
# Check the output above for errors.

Wieder ratlos

Reinhard
Benutzeravatar
ReiFu
 
Beiträge: 121
Registriert: Samstag 28. Dezember 2013, 19:59

Re: QT3

Beitragvon ReiFu » Sonntag 29. Dezember 2013, 21:19

Hallo
Habe alles nochmals von vorne gemacht - warum auch immer - jetzt geht's vielleicht:
Habe jetzt:

Installation finished.
#
# TODO: You still have to copy the 'scamp' executable to
# /home/reinhardf/Theli/theli/bin/Linux_64/ =>>> ist gemacht
#
# TODO: You still have to include the directory
# /home/reinhardf/Theli/theli/bin/Linux_64/
# in your PATH variable. ==>> das weiss ich nicht wie ich es machen soll


#
# Your 'theli' executable is:
# /home/reinhardf/Theli/gui/theli
# If you 'alias' it, you can launch THELI from anywhere.
Benutzeravatar
ReiFu
 
Beiträge: 121
Registriert: Samstag 28. Dezember 2013, 19:59

Re: QT3

Beitragvon drei_g » Montag 30. Dezember 2013, 14:38

Hallo Reinhard,

um die Umgebungsvariable PATH zu erweitern, musst Du in der Kommandozeile folgendes eingeben:

PATH=$PATH:/home/reinhardf/Theli/theli/bin/Linux_64/
export PATH

Diese Erweiterung wirkt aber nur temporaer, d.h. sie geht beim Schliessen der Shell verloren. Um sie bei jedem neuen Login automatisch zu laden, muessen die beiden Zeilen in die versteckte Datei .bash_profile in Deinem Home-verzeichnis /home/reinhardf eingetragen werden.
Clear skies!

Thomas
Benutzeravatar
drei_g
 
Beiträge: 24
Registriert: Montag 3. Oktober 2011, 09:26
Wohnort: Peking

Re: QT3

Beitragvon ReiFu » Montag 30. Dezember 2013, 19:16

Hallo Thomas

Vorerst einmal Danke - ist das für die einwandfreie Funktion von Theli notwendig?
Benutzeravatar
ReiFu
 
Beiträge: 121
Registriert: Samstag 28. Dezember 2013, 19:59

Re: QT3

Beitragvon mischa » Montag 30. Dezember 2013, 20:25

ReiFu hat geschrieben:Vorerst einmal Danke - ist das für die einwandfreie Funktion von Theli notwendig?


Fuer die allermeisten Funktionen nicht, fuer ein oder zwei aber schon. Daher am besten einbauen (macht mir das Leben leichter da weniger support).

Mischa
mischa
Moderator
 
Beiträge: 966
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: QT3

Beitragvon ReiFu » Montag 30. Dezember 2013, 22:51

Hallo Mischa

Vorerst Danke - wie ich das machen soll habe ich noch nicht rausgefunden - bzw. kapier ich das ganze noch nicht - ist ja ur kompliziert mit den Berechtigungen und so weiter- mache es halt einstweilen temporär.
Benutzeravatar
ReiFu
 
Beiträge: 121
Registriert: Samstag 28. Dezember 2013, 19:59

Re: QT3

Beitragvon fehlfarbe » Samstag 4. Januar 2014, 17:33

Hallo Reinhard,

falls das Problem noch besteht:

Konsole öffnen
Code: Alles auswählen
gedit /home/reinhardf/.bashrc

eingeben, dadurch öffnest du die .bashrc Datei im Homeverzeichnis mit dem gedit Editor.

Falls die Datei nicht existiert, müsste jetzt eine leere Datei offen sein, ansonsten einfach am Ende der Datei die zwei Zeilen von Misha einfügen, speichern, fertig :)
Sobald eine neue Konsole / Shell geöffnet wird, wird die .bashrc geladen.

EDIT:
ich bin mir gar nicht sicher, ob das in die .bashrc oder .bash_profile muss aber ich glaube es müsste mit beiden gehen.

Grüße, Marcus
Benutzeravatar
fehlfarbe
 
Beiträge: 105
Registriert: Donnerstag 20. Oktober 2011, 22:24

Re: QT3

Beitragvon ReiFu » Montag 6. Januar 2014, 12:37

Hallo Marcus
Habe das jetzt gemacht - Danke

clear sky wünscht Reinhard
Benutzeravatar
ReiFu
 
Beiträge: 121
Registriert: Samstag 28. Dezember 2013, 19:59


Zurück zu Installation und Ubuntheli

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast

cron